<?xml version="1.0" encoding="utf-8"?>

<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main_graph"
    app:startDestination="@id/splashFragment">
        <fragment
        android:id="@+id/splashFragment"
        android:name="com.misisdevteam.routy.view.splash.SplashFragment"
        android:label="SplashFragment"
        tools:layout="@layout/splash">
        <action
            android:id="@+id/to_main_fragment"
            app:destination="@id/main_fragment" />
    </fragment>

    <fragment
            android:id="@+id/main_fragment"
            android:name="com.misisdevteam.routy.view.blocks.mainNavBlock.mainPage.MainFragment"
            android:label="MainFragment"
            tools:layout="@layout/main_fragment">
        <action
            android:id="@+id/to_loginFragment"
            app:destination="@id/register_graph"
            app:enterAnim="@anim/nav_default_enter_anim"
            app:exitAnim="@anim/nav_default_exit_anim"
            app:popEnterAnim="@anim/nav_default_pop_enter_anim"
            app:popExitAnim="@anim/nav_default_pop_exit_anim" />
        <action
            android:id="@+id/action_main_fragment_to_createJourneyFragment"
            app:destination="@id/create_journey_graph" />
    </fragment>
        <fragment
            android:id="@+id/places_fragment"
            android:name="com.misisdevteam.routy.view.blocks.mainNavBlock.placesPage.PlacesFragment"
            android:label="PlacesFragment"
            tools:layout="@layout/places_fragment"/>
        <fragment
            android:id="@+id/chat_fragment"
            android:name="com.misisdevteam.routy.view.blocks.mainNavBlock.chatPage.ChatFragment"
            android:label="ChatFragment"
            tools:layout="@layout/chat_fragment"/>
        <fragment
            android:id="@+id/profile_fragment"
            android:name="com.misisdevteam.routy.view.blocks.mainNavBlock.profilePage.ProfileFragment"
            android:label="ProfileFragment"
            tools:layout="@layout/profile_fragment"/>



    <navigation android:id="@+id/register_graph"
        app:startDestination="@id/loginFragment">
        <fragment
            android:id="@+id/confirmEmailFragment"
            android:name="com.misisdevteam.routy.view.blocks.registerBlock.confirm_email.ConfirmEmailFragment"
            android:label="ConfirmEmailFragment"
            tools:layout="@layout/confirm_email_fragment"/>
        <fragment
            android:id="@+id/createAccountFragment"
            android:name="com.misisdevteam.routy.view.blocks.registerBlock.create_account.CreateAccountFragment"
            android:label="CreateAccountFragment"
            tools:layout="@layout/create_account_fragment" >
            <action
                android:id="@+id/action_createAccountFragment_to_confirmEmailFragment"
                app:destination="@id/confirmEmailFragment" />
        </fragment>
        <fragment
            android:id="@+id/forgotPassFragment"
            android:name="com.misisdevteam.routy.view.blocks.registerBlock.forgot_password.ForgotPasswordFragment"
            android:label="ForgotPassFragment"
            tools:layout="@layout/forgot_password_fragment" />
        <fragment
            android:id="@+id/loginFragment"
            android:name="com.misisdevteam.routy.view.blocks.registerBlock.login.LoginFragment"
            android:label="LoginFragment"
            tools:layout="@layout/login_fragment">
            <action
                android:id="@+id/to_forgotPassFragment"
                app:destination="@id/forgotPassFragment"
                app:enterAnim="@anim/slide_enter"
                app:exitAnim="@anim/slide_exit"
                app:popEnterAnim="@anim/slide_pop_enter"
                app:popExitAnim="@anim/slide_pop_exit" />
            <action
                android:id="@+id/to_createAccountFragment"
                app:destination="@id/createAccountFragment"
                app:enterAnim="@anim/slide_enter"
                app:exitAnim="@anim/slide_exit"
                app:popEnterAnim="@anim/slide_pop_enter"
                app:popExitAnim="@anim/slide_pop_exit" />
        </fragment>
    </navigation>
    <navigation
        android:id="@+id/create_journey_graph"
        app:startDestination="@id/createJourneyFragment">
        <fragment
            android:id="@+id/createJourneyFragment"
            android:name="com.misisdevteam.routy.view.createJourney.CreateJourneyFragment"
            android:label="CreateJourneyFragment"
            tools:layout="@layout/create_journey_fragment">
            <action
                android:id="@+id/action_createJourneyFragment_to_calendarFragment"
                app:destination="@id/calendarFragment"
                app:enterAnim="@anim/vertical_slide_enter"
                app:exitAnim="@anim/vertical_slide_exit"
                app:popEnterAnim="@anim/vertical_slide_pop_enter"
                app:popExitAnim="@anim/vertical_slide_pop_exit" />
            <action
                android:id="@+id/action_createJourneyFragment_to_submitJourneyFragment"
                app:destination="@id/submitJourneyFragment" />
        </fragment>
        <fragment
            android:id="@+id/submitJourneyFragment"
            android:name="com.misisdevteam.routy.view.createJourney.SubmitJourneyFragment"
            android:label="SubmitJourneyFragment"
            tools:layout="@layout/submit_journey_fragment" />
        <fragment
            android:id="@+id/calendarFragment"
            android:name="com.misisdevteam.routy.view.createJourney.CalendarFragment"
            android:label="CalendarFragment"
            tools:layout="@layout/calendar_fragment_layout" />
    </navigation>
    <fragment
        android:id="@+id/journeySettingsFragment"
        android:name="com.misisdevteam.routy.view.joruneySettings.JourneySettingsFragment"
        android:label="JourneySettingsFragment"
        tools:layout="@layout/journey_settings_fragment" />

    <action
        android:id="@+id/gotoJourneySettingsFragment"
        app:destination="@id/journeySettingsFragment" />

</navigation>